commit:     6d2ba1d502736521f6cef7316e577424d007fcc8
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 15:12:48 2024 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 15:13:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d2ba1d5

media-sound/spotify: add 1.2.52

Closes: https://bugs.gentoo.org/946827

Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 media-sound/spotify/Manifest              |   1 +
 media-sound/spotify/spotify-1.2.52.ebuild | 127 ++++++++++++++++++++++++++++++
 2 files changed, 128 insertions(+)

diff --git a/media-sound/spotify/Manifest b/media-sound/spotify/Manifest
index 5bc9ceada926..9cdc30238c63 100644
--- a/media-sound/spotify/Manifest
+++ b/media-sound/spotify/Manifest
@@ -1 +1,2 @@
 DIST spotify-client_1.2.50.335.g5e2860a8_amd64.deb 143617148 BLAKE2B 
be1e3f3ee9265b7c378e5b8ba0d73407918efdaf799d44cb79063c8b71ee8da248537fae063f8c18913b89a82bbc83f979c30cd6d984fcb4d059ae0488689bfe
 SHA512 
d7b7e0bdc845ecda4e99657de0a2eaf32850053e86163a5bf93e9727330838f7997d2afe297a908b380467d78860f69bce0040fca4411274a23cb2a4981cb014
+DIST spotify-client_1.2.52.442.g01893f92_amd64.deb 143523470 BLAKE2B 
907358fb2cc55c0bc67485a64a56c8a636d091787667b57da0d893bcd0b629d70f97d8ec54e93f150cd06ac73172fdb165ab880aa309c56ceb6625bd93f7046c
 SHA512 
694e0b274bf56eb1ca199b060632de8bd1d49ef3977cbb8cd04839c6677d0d26a8065781433fd7e63ae46490087beff356078abf9fd0ce0bf463bb05dc91a55a

diff --git a/media-sound/spotify/spotify-1.2.52.ebuild 
b/media-sound/spotify/spotify-1.2.52.ebuild
new file mode 100644
index 000000000000..71ea3f2cb2bf
--- /dev/null
+++ b/media-sound/spotify/spotify-1.2.52.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop pax-utils unpacker xdg
+
+DESCRIPTION="Spotify is a social music platform"
+HOMEPAGE="https://www.spotify.com/download/linux/";
+SRC_BASE="http://repository.spotify.com/pool/non-free/s/${PN}-client/";
+BUILD_ID_AMD64="442.g01893f92"
+SRC_URI="${SRC_BASE}${PN}-client_${PV}.${BUILD_ID_AMD64}_amd64.deb"
+
+LICENSE="Spotify"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE="libnotify local-playback pax-kernel pulseaudio"
+RESTRICT="mirror strip"
+
+BDEPEND="
+       >=dev-util/patchelf-0.10
+       sys-devel/gettext
+"
+RDEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0:2
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       dev-libs/openssl:0=
+       dev-python/dbus-python
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/harfbuzz
+       media-libs/mesa[X(+)]
+       net-misc/curl[ssl]
+       net-print/cups[ssl(+)]
+       sys-apps/dbus
+       sys-libs/zlib
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXrandr
+       x11-libs/libdrm
+       x11-libs/libxcb
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       !gnome-extra/gnome-integration-spotify
+       libnotify? ( x11-libs/libnotify )
+       dev-libs/libayatana-appindicator
+       local-playback? ( media-video/ffmpeg:0/56.58.58 )
+       pulseaudio? ( media-libs/libpulse )
+       !pulseaudio? ( media-sound/apulse )
+"
+       #gnome-integration-spotify causes spotify to fail to launch
+       #sys-libs/glibc
+
+S="${WORKDIR}/"
+
+QA_PREBUILT="
+       opt/spotify/spotify-client/spotify
+       opt/spotify/spotify-client/libEGL.so
+       opt/spotify/spotify-client/libGLESv2.so
+       opt/spotify/spotify-client/libcef.so
+       opt/spotify/spotify-client/libvk_swiftshader.so
+       opt/spotify/spotify-client/libvulkan.so.1
+       opt/spotify/spotify-client/swiftshader/libEGL.so
+       opt/spotify/spotify-client/swiftshader/libGLESv2.so
+"
+
+src_prepare() {
+       default
+       # Spotify links against libcurl-gnutls.so.4, which does not exist in 
Gentoo.
+       patchelf --replace-needed libcurl-gnutls.so.4 libcurl.so.4 
usr/bin/spotify \
+               || die "failed to patch libcurl library dependency"
+}
+
+src_install() {
+       SPOTIFY_PKG_HOME=usr/share/spotify
+       insinto /usr/share/pixmaps
+       doins ${SPOTIFY_PKG_HOME}/icons/*.png
+
+       # install in /opt/spotify
+       SPOTIFY_HOME=/opt/spotify/spotify-client
+       insinto ${SPOTIFY_HOME}
+       doins -r ${SPOTIFY_PKG_HOME}/*
+       fperms +x ${SPOTIFY_HOME}/spotify
+
+       dodir /usr/bin
+       SPOTIFY_HOME=${SPOTIFY_HOME} LIBDIR=$(get_libdir) \
+               envsubst '$SPOTIFY_HOME $LIBDIR' \
+               < "${FILESDIR}/spotify-wrapper" > "${D}/usr/bin/spotify" || die
+       fperms +x /usr/bin/spotify
+
+       local size
+       for size in 16 22 24 32 48 64 128 256 512; do
+               newicon -s ${size} 
"${S}${SPOTIFY_PKG_HOME}/icons/spotify-linux-${size}.png" \
+                       "spotify-client.png"
+       done
+       domenu "${S}${SPOTIFY_PKG_HOME}/spotify.desktop"
+       if use pax-kernel; then
+               #create the headers, reset them to default, then paxmark -m them
+               pax-mark C "${ED}${SPOTIFY_HOME}/${PN}" || die
+               pax-mark z "${ED}${SPOTIFY_HOME}/${PN}" || die
+               pax-mark m "${ED}${SPOTIFY_HOME}/${PN}" || die
+               eqawarn "You have set USE=pax-kernel meaning that you intend to 
run"
+               eqawarn "${PN} under a PaX enabled kernel.      To do so, we 
must modify"
+               eqawarn "the ${PN} binary itself and this *may* lead to 
breakage!  If"
+               eqawarn "you suspect that ${PN} is being broken by this 
modification,"
+               eqawarn "please open a bug."
+       fi
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       ewarn "If Spotify crashes after an upgrade its cache may be corrupt."
+       ewarn "To remove the cache:"
+       ewarn "rm -rf ~/.cache/spotify"
+}

Reply via email to